
Infrastructure - Bug #4137

OneMercury ORE download panel rendering bad results

2013-10-29 15:04 - Skye Roseboom

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

The download panel for displaying and downloading data packages associated with metadata files are showing incorrect

'formatType' for some metadata packages from dryad mn.  Metadata files are being displayed as "DATA" formatType.   The size

attribute is also missing from some documents.

Happening on the metadata detail view.

Also found and fixed js error in M3.downloadPanel.js for displaying metadata files.

Related issues:

Related to Infrastructure - Story #4193: Release CCI 1.2.4 Features Closed 2013-12-11 2013-12-14

History

#1 - 2013-10-29 15:30 - Skye Roseboom

Fix to SolrSearcher.java in d1_mercury_common

#2 - 2013-10-29 15:41 - Skye Roseboom

- Status changed from In Progress to Testing

#3 - 2013-10-29 23:30 - Skye Roseboom

Moved xhr backed download panel used on search results to metadata detail view - for code re-use and to fix package display issues documented

above.  Also fixed font size and increased overlay width.

Files updated:

SolrTransactionDetail.java

SolrClientController.java

SolrSearcher.java

M3.downloadPanel.js

brief.jsp

full.jsp

#4 - 2013-12-11 20:51 - Skye Roseboom

- Status changed from Testing to Closed

Tested on cn-stage-2 from release branch for CCIT release 1.2.4:

Tested IE, FF in windows7.

Tested chrome, safari in osx.
Tested FF in linux.
